/***************************************************************************
 *   copyright       : (C) 2012-2014 by Pascal Brachet                     *
 *   http://www.xm1math.net/pdfadd/                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "aidedialog.h"

#include <QFile>
#include <QTextStream>
#include <QTextCodec>

AideDialog::AideDialog(QWidget *parent,QString module)
    :QDialog( parent)
{
ui.setupUi(this);
setModal(true);
QTextCodec *codec = QTextCodec::codecForName("UTF-8");
QString contenu;
QFile apropos(":/documents/apropos.txt");
apropos.open(QIODevice::ReadOnly);
QTextStream in(&apropos);
in.setCodec(codec);
while (!in.atEnd()) 
	{
	contenu+= in.readLine()+"\n";
	}
apropos.close();
ui.textEditApropos->setHtml(contenu);

contenu="";
QFile doc;
if (module=="courbes") doc.setFileName(":/documents/aidecourbes.txt");
else if (module=="tabvar") doc.setFileName(":/documents/aidetabvar.txt");
else if (module=="arbre") doc.setFileName(":/documents/aidearbre.txt");
else if (module=="geometrie") doc.setFileName(":/documents/aidegeometrie.txt");
else if (module=="graphe") doc.setFileName(":/documents/aidegraphe.txt");
else if (module=="boites") doc.setFileName(":/documents/aideboites.txt");
else if (module=="suites") doc.setFileName(":/documents/aidesuites.txt");
else if (module=="histogramme") doc.setFileName(":/documents/aidehistogramme.txt");
else if (module=="binomiale") doc.setFileName(":/documents/aidebinomiale.txt");
else if (module=="cercle") doc.setFileName(":/documents/aidecercle.txt");
else if (module=="espace") doc.setFileName(":/documents/aideespace.txt");
else doc.setFileName(":/documents/apropos.txt");
doc.open(QIODevice::ReadOnly);
QTextStream t(&doc);
t.setCodec(codec);
while (!t.atEnd()) 
	{
	contenu+= t.readLine()+"\n";
	}
doc.close();
ui.textEditAide->setHtml(contenu);
}

AideDialog::~AideDialog(){
}
