/***************************************************************************
 *   copyright       : (C) 2012-2014 by Pascal Brachet                     *
 *   http://www.xm1math.net/pdfadd/                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PDFADD_H
#define PDFADD_H

#include "ui_pdfadd.h"
#include "highlighter.h"

#include <QCloseEvent>
#include <QListWidgetItem>
#include <QMenuBar>

class MainWindow : public QMainWindow  {
   Q_OBJECT
public:
	MainWindow(QWidget *parent=0);
	~MainWindow();
	Ui::MainWindow ui;
QString fichier;
public slots:
void Ouvrir(QString f );
private:
QString asyCd, pdflatexCd,lecteurpdfCd, dernierRp, preamAsy;
QListWidgetItem *itemAnalyse, *itemCourbe, *itemSuite, *itemTableau, *itemBinomiale, *itemGeometrie, *itemGeo, *itemEspace, *itemStat, *itemBoite, *itemHisto, *itemProba, *itemArbre, *itemAutre, *itemGraphe, *itemCercle;
QColor couleur1, couleur2, couleur3;
QMenu *aslatMenu, *assistantMenu;
Highlighter *highlighter;
#if defined(Q_OS_UNIX) && !defined(Q_OS_MAC)
QString x11style;
QString x11fontfamily;
int x11fontsize;
#endif
private slots:
void closeEvent(QCloseEvent *e);
void Quitter();
void Courbes();
void Tabvar();
void Arbre();
void Geometrie();
void Graphe();
void Boites();
void Suite();
void Histogramme();
void Binomiale();
void Espace();
void Cercle();

void LireConfig();
void SauverConfig();
void Configurer();
void ActualiserConfig();
void ChargerExemple();
void SetInterfaceFont();

void chercherPdfLatex();
void chercherAsy();
void chercherLecteurpdf();
void configurerCouleur1();
void configurerCouleur2();
void configurerCouleur3();

void LancerAssistant(QListWidgetItem* item);

};


#endif
