/***************************************************************************
 *   copyright       : (C) 2003-2017 by Pascal Brachet                     *
 *   http://www.xm1math.net/texmaker/                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PDFVIEWER_H
#define PDFVIEWER_H

#include <QtGui>
#include <QMainWindow>
#include <QComboBox>
#include <QAction>
#include <QProcess>
#include <QPointer>
#include <QLineEdit>

#include "qpdfdocument.h"
#include "documentview.h"






class PdfViewer : public QMainWindow
{
    Q_OBJECT
public:
    PdfViewer( const QString fileName, const QString externalCommand, QWidget* parent = 0);
    ~PdfViewer();
    QString pdf_file;
public slots:
void openFile(QString fn, QString ec);

qreal getScale() {return currentScale;};
private:
void closeEvent(QCloseEvent *e);

QByteArray windowstate;

DocumentView* pdfview;
QPdfDocument *doc;
QAction *fitWithAct, *fitPageAct, *zoominAct, *zoomoutAct,*externAct;


QComboBox *scaleComboBox;


QString viewpdf_command;
int currentPage;
qreal currentScale, lastScale, previousScale;
bool fileLoaded;
QPointer<QProcess> proc;
QString lastFile;
int lastPage, altern;

QStringList scalePercents;
QLineEdit *zoomCustom;



int lastHpos;



private slots:
void connectActions();
void disconnectActions();

void gotoPage(int page);
void checkPage(int value);
void jumpToDest(int page,qreal left, qreal top);
void userZoom();
void scaleDocumentZoom(QString zoom);
void fitWidth();
void fitPage();
void zoomIn();
void zoomOut();
void runExternalViewer();


void setHpos(int pos);
void jumptoHpos();

    



signals:
void backwardAvailable(bool);
void forwardAvailable(bool);
};

#endif

